# Projects

## Libraries

- [Solid Element](https://github.com/ryansolid/solid/blob/master/packages/solid-element)
  Extensions to Solid.js that add a Web Component wrapper.
- [Lume Element](https://github.com/lume/element) Build Web Components with simple templates and reactivity.
- [Solid Standalone](https://github.com/ryansolid/solid-standalone) Premade packaged for the browser.
- [Solid Styled Components](https://github.com/ryansolid/solid/blob/master/packages/solid-styled-components)
  Styled Components for Solid using 1kb library Goober.
- [Solid Styled JSX](https://github.com/ryansolid/solid/blob/master/packages/solid-styled-jsx)
  Wrapper for using Solid with Zeit's Styled JSX.
- [Solid Transition Group](https://github.com/ryansolid/solid-transition-group) Simple animations for Solid
- [Storeon Solid](https://github.com/storeon/solidjs) Solid bindings for Storeon
- [Reatom Solid](https://github.com/skrylnikov/reatom-solid) Solid bindings for Reatom
- [Solid Orbit](https://github.com/andgate/solid-orbit) Solid bindings for Orbit
- [Solid Form](https://github.com/mduclehcm/solid-form) Formik inspired form lib for Solid.
- [Solid i18n](https://github.com/amoutonbrady/solid-i18n) Tiny translation library for solid-js inspired by rosetta
- [Solid Chart](https://github.com/MrFoxPro/solid-chart.js) Solid Chart.js wrapper
- [Solid HeroIcons](https://github.com/amoutonbrady/solid-heroicons) HeroIcons for Solid
- [Solid RX](https://github.com/ryansolid/solid/blob/master/packages/solid-rx)
  Functional Reactive Programming extensions for SolidJS.
- [React Solid State](https://github.com/ryansolid/solid/blob/master/packages/react-solid-state)
  React Hooks API to use Solid.js paradigm in your existing React apps.

## Routers

- [Solid Router](https://github.com/mduclehcm/solid-router) A declarative router for Solid
- [Solid App Router](https://github.com/ryansolid/solid-app-router) A configuration driven nested router for Solid
- [Solid TypeFu Router5](https://github.com/mikeplus64/solid-typefu-router5) A TypeScript forward router
- [Solid Router5](https://github.com/zxlib/solid-router5) A Solid router built on Router5.
- [Solid Tiny Router](https://github.com/amoutonbrady/solid-tiny-router) Experimental little router based on regexparam for Solid
- [rturnq Solid Router](https://github.com/rturnq/solid-router) A React Router inspired router for Solid

## Components
- [Lume](https://github.com/lume/lume) Toolkit that simplifies the creation of rich and interactive 2D or 3D experiences built with Solid

## Starters
- [Solid TypeScript Rollup](https://github.com/high1/solid-typescript-rollup) - Rollup
- [Solid Rollup Boilerplate](https://github.com/MrFoxPro/solid-rollup-boilerplate) - Rollup
- [Solid TypeScript Starter](https://github.com/high1/solid-typescript-starter) - Webpack
- [Solid TS Webpack](https://github.com/ryansolid/solid-ts-webpack) - Webpack
- [Parcel 2 Solid TS Starter](https://github.com/amoutonbrady/parcel2-solid-ts-starter) - Parcel
- [Solid Snowpack Starter](https://github.com/amoutonbrady/solid-snowpack-starter) - Snowpack
- [Vite Template Solid](https://github.com/amoutonbrady/vite-template-solid) - Vite

## Tooling
- [Create Solid](https://github.com/ryansolid/create-solid) Solid's port of Create React App.
- [Vite Plugin Solid](https://github.com/amoutonbrady/vite-plugin-solid) Solid plugin for Vite.
- [Solid Hot Loader](https://github.com/ryansolid/solid-hot-loader) Webpack Loader for HMR for Solid Components.
- [Solid Template Explorer](https://github.com/amoutonbrady/solid-template-explorer) Simple REPL for Solid.
- [Solid Debug](https://github.com/amoutonbrady/solid-debug) Simple visual debugger for Solid.

## Related Projects

- [DOM Expressions](https://github.com/ryansolid/dom-expressions)
  The renderer behind Solid.js that enables lightning fast fine grained performance.
- [Babel Plugin JSX DOM Expressions](https://github.com/ryansolid/dom-expressions/tree/master/packages/babel-plugin-jsx-dom-expressions)
  Babel plugin that converts JSX to DOM Expressions.
- [Lit DOM Expressions](https://github.com/ryansolid/dom-expressions/tree/master/packages/lit-dom-expressions)
  Tagged Template Literal API for DOM Expressions.
- [Hyper DOM Expressions](https://github.com/ryansolid/dom-expressions/tree/master/packages/hyper-dom-expressions)
  HyperScript API for DOM Expressions.


Know any other great Solid Projects and Libraries? Please submit them. We love to see what you are working on.
